package oracle.ugbu.ss.portal.backing;

import com.oracle.ugbu.ss.shared.view.helper.ADFDCHelper;

public class OUCSSErrorProxyBean
{
  //Error Pages
  private static final String PAGENOTFOUND_ERROR_URI =
    "/oracle/ugbu/ss/portal/pages/public/proxy/Error.html";
  private static final String UNAUTH_ERROR_URI =
    "/oracle/ugbu/ss/portal/pages/public/proxy/Error.html";
  private static final String SERVER_ERROR_URI =
    "/oracle/ugbu/ss/portal/pages/public/proxy/Error.html";

  public String getRealUnAuthorizedPageURI()
  {
    return UNAUTH_ERROR_URI;
  }

  public String getRealPageNotFoundPageURI()
  {
    return PAGENOTFOUND_ERROR_URI;
  }

  public String getRealServerErrorPageURI()
  {
    return SERVER_ERROR_URI;
  }
  
  public String getLoginLandingPageURI()
  {
    String loginLOB = (String) 
      ADFDCHelper.getInstance().resolveExpression("#{oucssUserSessionBean.landingPage}");
    if (loginLOB == null)
    {
      loginLOB = "/faces/oucssHome";
    }
    return loginLOB;
  }
}
